ValidationMessage (JavaServer Pages API Documentation)
Keywords: javax.servlet.jsp.tagext.ValidationMessage class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class ValidationMessage

    java.lang.Object
      javax.servlet.jsp.tagext.ValidationMessage

public class ValidationMessage
extends java.lang.Object

A validation message from either TagLibraryValidator or TagExtraInfo.

As of JSP 2.0, a JSP container must support a jsp:id attribute to provide higher quality validation errors. The container will track the JSP pages as passed to the container, and will assign to each element a unique "id", which is passed as the value of the jsp:id attribute. Each XML element in the XML view available will be extended with this attribute. The TagLibraryValidator can then use the attribute in one or more ValidationMessage objects. The container then, in turn, can use these values to provide more precise information on the location of an error.

The actual prefix of the `id` attribute may or may not be `jsp` but it will always map to the namespace `http://java.sun.com/JSP/Page`. A TagLibraryValidator implementation must rely on the uri, not the prefix, of the `id` attribute.

Constructor Summary
`ValidationMessage(java.lang.String id, java.lang.String message)` Create a ValidationMessage.

Method Summary
`java.lang.String` | `getId()` Get the jsp:id.
`java.lang.String` | `getMessage()` Get the localized validation message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationMessage

    public ValidationMessage(java.lang.String id,
                             java.lang.String message)

  Create a ValidationMessage. The message String should be non-null. The value of id may be null, if the message is not specific to any XML element, or if no jsp:id attributes were passed on. If non-null, the value of id must be the value of a jsp:id attribute for the PageData passed into the validate() method.

Parameters:
  `id` - Either null, or the value of a jsp:id attribute.
  `message` - A localized validation message.

Method Detail

### getId

    public java.lang.String getId()

  Get the jsp:id. Null means that there is no information available.

  Returns:
    The jsp:id information.

### getMessage

    public java.lang.String getMessage()

  Get the localized validation message.

  Returns:
    A validation message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.